﻿
legend {
    width: auto !important;
    padding: 1em;
    background-color: #fff;
}

fieldset {
    border: 1px solid #999;
    border-top-width: 1px;
    border-radius: 8px;
    box-shadow: 0 0 10px #999;
    padding: 1em;
}

.align-right {
    text-align: right;
}

/* Jquery Validation Css */
.field-validation-error {
    display: block;
    margin-top: .25rem;
    color: #b80000 !important;
}

.input-validation-error {
    color: rgba(40,128,124,.85);
    background-color: #fff;
    border-color: #b80000 !important;
    outline: 0;
}

    .input-validation-error:focus {
        color: rgba(40,128,124,.85);
        background-color: #fff;
        border-color: #b80000 !important;
        outline: 0;
        box-shadow: 0 0 0 .2rem #b80000
    }

.autoHeight {
    height: auto !important;
}

.singlineTopMargin {
    height: 5px;
}

.divHeight {
    height: 175px;
    overflow-y: scroll;
    overflow-x: hidden;
}

.FieldHeader {
    background-color: #E3E3E3;
}

.alternateRowColor {
    background-color: #F7F7F7;
    border-bottom: solid 1px #EAEAEA;
    border-top: solid 1px #EAEAEA;
}

#mainContent .row {
    margin-bottom: 0.5em;
}

.gridIcon {
    font-size: 1.4em !important;
}

a.disabled {
    color: #728a92;
    opacity: .65;
    cursor: not-allowed;
}


.fieldsetbox {
    border: 1px solid #999;
    border-top-width: 1px;
    border-radius: 8px;
    box-shadow: 0 0 10px #999;
    padding: 1em;
}

.floatright {
    float: right;
}

.fontawesome-icon-size {
    font-size: 1.2em;
}


.sortable {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 60%;
}

    .sortable li {
        margin: 0 3px 3px 3px;
        padding: 0.4em;
        padding-left: 1.5em;
        font-size: 1.4em;
        height: 18px;
    }

        .sortable li span {
            position: absolute;
            margin-left: -1.3em;
        }

.ui-state-highlight {
    height: 1.5em;
    line-height: 1.2em;
}

.blueColor {
    color: #008EC6;
}

td.details-control,
tr.details td.details-contro {
    cursor: pointer;
}

.sortable-number {
    width: 25px;
    float: right;
    line-height: 1em;
    text-align: center;
    font-weight: bold;
}

.primaryColor {
    color: #28807C;
    border-color: #28807C;
}

.warningColor,
.FTIData {
    color: #C75300 !important;
    border-color: #C75300 !important;
}

.dangerBorderColor {
    border-color: #B80000 !important;
}

.dangerColor,
.FTIData {
    color: #B80000 !important;
    border-color: #B80000 !important;
}

div.dt-buttons {
    float: right;
}


.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover {
    border: 1px solid #28807C;
    background: #28807C;
    font-weight: normal;
    color: #ffffff;
}

.image-container {
    position: relative;
    text-align: center;
}

.image-bottom-left {
    position: absolute;
    bottom: 2px;
    left: 18px;
}

.image-div-nification {
    position: absolute;
    bottom: -18px;
    left: 5px;
    font-size: 13px;
    font-weight: bold;
}

.gridIconDanger {
    font-size: 1.4em !important;
    color: #B80000 !important;
}

.verticleDivider {
    border-right-style: solid !important;
    border-right-width: 5px !important;
    border-right-color: #008EC6 !important;
}

.controlmargintop {
    margin-top: 2.2rem !important;
}

.datattablebuttonicon {
    background-color: white !important;
    border: none;
}

.modelcustom {
    background-color: red !important;
    width: 800px;
}


/* TotalResults  */
.FixedTotalResults {
    position: fixed;
}

.TotalFooter > .row {
    margin-bottom: 0px;
}

.gridrowhighlighter {
    background-color: #C4CED1 !important;
}

.cardLabel {
    font-weight: 100 !important;
}

.moveRigtButton {
    border-radius: 50% !important;
    font-size: 1.5rem !important;
}

#ulSelectCriteria li {
    display: inline-block !important;
    padding: 0px 5px 0px 5px !important;
    background-color: #EAEAEA !important;
    border-radius: 5px !important;
    cursor: pointer !important;
}

#ulSelectCriteria {
    overflow-x: auto !important;
    padding-left: 0.5em !important;
}

.ajax__fileupload_dropzone, #ctl00_MainContent_ajxmFileAttach_FileStatusContainer {
    color: #000; /* black text */
    background-color: #fff; /* white background */
}

    .ajax__fileupload_dropzone .ajax__fileupload_text {
        color: #000; /* improve contrast for instruction text */
    }

.popup-container {
    background-color: lightgray;
    width: 800px;
}

.popup-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start; /* Align top */
}

.popup-editor {
    margin-top: 0; /* remove space between header and editor */
}

.btn {
    margin-left: auto;
}

.ModalWindow {
    background-color: white;   
    border-radius: 8px;
    padding: 20px;
    width: fit-content;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.5);
}

.modalBackground {
    background-color: rgba(0, 0, 0, 0.5); /* Dimmed overlay */
}
    padding-left:0.5em!important;
}

.responsiveTable td, .responsiveTable th {
    max-width: 200px;
    word-wrap: break-word;
    white-space: normal;
}

.popup {
    display: none; /* Hidden by default */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.popup-content {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    text-align: center;
    width: 300px;
}